List organization groups
Gets all the groups in the current user's organization
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | number | No | |
pageSize | number | No | |
includeMembers | number | No | number of members to include |
searchQuery | string | No |
Responses
200 — Ok
{
"results": {
"pagination": {
"page": 0,
"pageSize": 0,
"totalResults": 0,
"totalPageCount": 0
},
"data": [
{
"organizationUuid": "string",
"updatedByUserUuid": "string",
"updatedAt": "2024-01-01T00:00:00.000Z",
"createdByUserUuid": "string",
"createdAt": "2024-01-01T00:00:00.000Z",
"name": "string",
"uuid": "string"
}
]
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}